import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    historicalSearch: []
  },
  getters: {
  },
  mutations: {
    setHistoricalSearch(state, payload) {
      state.historicalSearch = payload
    }
  },
  actions: {
    fetchHistoricalSearch({ commit }) {
      let historicalSearch = JSON.parse(localStorage.getItem('historicalSearch')) || []
      commit('setHistoricalSearch', historicalSearch)
    }
  },
  modules: {
  }
})
